<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="OrderTest Suite">

    <test name="OrderTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.order.OrderTest">
                <methods>
                    <include name="realOrderCancel"/>
                    <include name="realProductDeliveryOrderTestCase"/>
                    <include name="orderChangeAmountDeliveryTestCase"/>
                    <include name="noDeliveryOrderTestCase"/>
                    <include name="multiRefundOrderTestCase"/>
                    <include name="unDeliveryRefundTest"/>
                    <include name="deliveryRefundTest"/>
                    <include name="receiveRefundTest"/>
                    <include name="unReceiveRefundDeLiveryTest"/>
                    <include name="receivedRefundDeLiveryTest"/>
                    <include name="receivedRefundTest"/>
                    <include name="receivedRefundDeliveryTest"/>
                    <include name="unDeliveryRefundTransFeeTest"/>
                    <include name="unDeliveryRefundAllTransFeeTest"/>
                    <include name="pickUpAdminProductOrderByStationCode"/>
                    <include name="pickUpAdminProductOrder"/>
                    <include name="stationPickUpAdminProductOrder"/>
                    <include name="userPickUpAdminProductOrder"/>
                    <include name="sameCityOrder"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.PreSaleOrderTest">
                <methods>
                    <include name="preSaleOrderCancel"/>
                    <include name="depositPreSaleOrderDeliveryTestCase"/>
                    <include name="depositPreSaleOrderChangeAmountDeliveryTestCase"/>
                    <include name="noDeliveryDepositPreSaleOrderTestCase"/>
                    <include name="refundDepositPreSaleOrderTestCase"/>
                    <include name="multiRefundDepositPreSaleOrderTestCase"/>
                    <include name="stationPickUpAdminDepositPreSaleOrder"/>
                    <include name="sameCityDepositPreSaleOrder"/>
                    <include name="multiRefundFullPreSaleOrderTestCase"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.ScoreOrderTest">
                <methods>
                    <include name="scoreOrderCancel"/>
                    <include name="scoreOrderDeliveryOrderTestCase"/>
                    <include name="scoreOrderNoDeliveryOrderTestCase"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.TransFeeFreesOrderTest">
                <methods>
                    <include name="fullAmountFreeFreight"/>
                    <include name="fullPriceFreeFreight"/>
                    <include name="fullPriceAndAmountFreeFreight"/>
                    <include name="fullConditionFreeFreightAndFreeFeeUserRight"/>
                    <include name="fullConditionFreeFreightAndNotFreeFreight"/>
                    <include name="differentProductFullConditionFreeFreight"/>
                    <include name="fullConditionFreeFreightAndNotFreeFreightAndFreeFeeUserRight"/>
                    <include name="freeFeeUserRight"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.order.VirtualOrderTest">
                <methods>
                    <include name="noWriteNumVirtualProductTestCase"/>
                    <include name="noWriteNumVirtualOrderTestCase"/>
                    <include name="singleWriteNumVirtualProductTestCase"/>
                    <include name="tripleWriteNumVirtualTestCase"/>
                    <include name="noWriteNumVirtualOrderRefundTestCase"/>
                    <include name="singleWriteNumVirtualOrderRefundTestCase"/>
                    <include name="tripleWriteNumVirtualOrderRefundTestCase"/>
                    <include name="tripleWriteNumVirtualOrderWriteOffOnceRefundTestCase"/>
                    <include name="tripleWriteNumVirtualOrderWriteOffTwiceRefundTestCase"/>
                    <include name="writeOffVirtualOrder"/>
                    <include name="writeOffVirtualOrderByWriteOffCode"/>
                    <include name="writeOffVirtualOrderByWriteOffQRCode"/>
                    <include name="writeOffVirtualOrderByStationCode"/>
                </methods>
            </class>
        </classes>
    </test>

    <listeners>
        <listener class-name="org.uncommons.reportng.HTMLReporter"/>
        <listener class-name="org.uncommons.reportng.JUnitXMLReporter"/>
    </listeners>
</suite>
